html, body {
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    height: 100%;
    background-color: #585858;
    color: aliceblue;
    min-height: 10vh;
    max-height: 97vh;
	font-size: 100%;
	overflow-wrap: break-word;
}


@media screen and (max-width: 64em) {
h1 {
    font-size: 2.5em;
  }
  
  body {font-size: 70%}
}

@media screen and (max-width: 50em) {
h1 {
    font-size: 2em;
  }
  body {font-size: 60%}
}

@media screen and (max-width: 30em){
h1 {
    font-sitze: 1.5em;
  }
  
  body {font-size: 50%}
}

ul {
	list-style-type: none;
	margin: 0;
    padding: 0;
}

.containerDesktop {
	display: flex;
	flex-direction: column;     
}

.containerTabletAndMobile {
	display: flex;
	flex-direction: row;   
}

.header {   
	width: 100%; 
	height: 14vh;  
	text-align: center;
}

.menu {   
	width: 20%;
	background-color: #A4A4A4;
	height: 64vh;
	display: flex;
    overflow:auto;
	padding-top: 0px;
	margin-top: 0px;
}

.menu a {
    background-color: #eee;
    color: black;
    display: block;
    border: solid black;
    text-decoration: none;
    padding: 16px 16px 16px 64px;
	box-shadow: 6px 6px 6px 0 #202020;
	border: thin solid black;
	border-radius: 1rem;
}

.menu a:hover {
    background-color: #4CAF50;
}

.menu a.active {
    background-color: #4CAF50;
    color: white;
}

.task {   
	width: 40%;
	background-color: #D8D8D8;
    color: black;
    overflow:auto;
	height: 64vh;
	box-shadow: 6px 6px 6px 0 #202020;
	border: thin solid black;
	border-radius: 1rem;
}

.task h1, h2 {
    text-align: center;
}

.task p {
    padding-left: 20px;
    padding-right: 20px;
}

.solution {   
	width: 40%;   
	background-color: #F2F2F2;
    color: black;
    overflow:auto;
    padding-left: 20px;
    padding-right: 20px;
	height: 64vh; 
	box-shadow: 6px 6px 6px 0 #202020;
	border: thin solid black;
	border-radius: 1rem;
}

.solution h1, h2 {
    text-align: center;
}

img.Image { 
max-width: 70%;
width: 600px;
}

#HomerSimpson{
max-width: 70%;	
}
.solution p {
    padding-left: 5px;
	overflow-wrap: break-word;
}
.description{
    background-color: yellow;
}
.TextBlock{
    background-color: #4CAF50;
    border: 2px solid black;
}

.footer {
	width: 100%; 
	display: flex;
    justify-content: center;
    align-items: center;
	height: 14vh;
}

.breadcrumbNavigation{
	display: flex;
	width: 100%; 
	background-color: #ADADAD;
	height: 6vh;
	flex-direction: row;
	align-items: center;
    justify-content: center;
	box-shadow: 6px 6px 6px 0 #202020;
	margin-bottom: 4px;
	margin-top: 4px;
}

.breadcrumbNavigation a{
	display: flex;
    text-decoration: none;
    color: black;
    background-color: green;
	font-weight: bold;
	border: 3px solid red;
	margin-left: 2px;
}

.breadcrumbNavigation #arrow{
	display: flex;
    text-decoration: none;
    color: black;
    background-color: green;
	font-weight: bold;
	border: 3px solid black;
	margin-left: 2px;
}

/*Responsive Design für die Tablet Ansicht*/
@media (max-width: 650px) {
	
	.containerTabletAndMobile {
		flex-wrap: wrap;
	}    
	
	.header {  
		height: 10vh;
		width: 100%;
	}
	.breadcrumbNavigation {
		width: 100%; 
		height: 6vh;
	}
	.menu {  
		width: 100%;  
		height: 40vh;   
	}
	
	button {
		width: 100%;
	}
	
	.task {  
		width:48%; 
		height: 50vh;  
	}
	
	.solution { 
		width: 42%;
		height: 50vh;  
	}
	
	.footer {
		width: 100%; 
		height: 10vh;  
	}
}
/*Responsive Design für die Mobiele Ansicht*/
@media (max-width: 400px) {

	.containerTabletAndMobile {
		flex-wrap: wrap;
	}
	
	.header {  
		height: 10vh;
		width: 100%;
	}

	.menu {  
		width: 100%;  
		height: 30vh;  
	}
	
	.task {  
		width: 100%; 
		height: 50vh; 
	}
	
	.solution { 
		width: 100%;
		height: 50vh;  
	}
	
	.footer {
		width: 100%; 
		height: 10vh;  
	}
	
	#home {
		display: flex;
		justify-content: center;
		align-items: center;
	}
}
		